Package com.independentsoft.office.word

# Class ConditionalFormatting

java.lang.Object
com.independentsoft.office.word.ConditionalFormatting

public class ConditionalFormatting extends Object
The Class ConditionalFormatting.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConditionalFormatting()`
  Instantiates a new conditional formatting.
  `ConditionalFormatting​(String formatting)`
  Instantiates a new conditional formatting.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConditionalFormatting`
  `clone()`
  `void`
  `getBand1Horizontal​(boolean isBand1Horizontal)`
  Gets the band1 horizontal.
  `void`
  `getBand1Vertical​(boolean isBand1Vertical)`
  Gets the band1 vertical.
  `void`
  `getBand2Horizontal​(boolean isBand2Horizontal)`
  Gets the band2 horizontal.
  `void`
  `getBand2Vertical​(boolean isBand2Vertical)`
  Gets the band2 vertical.
  `void`
  `getBottomLeftCornerCell​(boolean isBottomLeftCornerCell)`
  Gets the bottom left corner cell.
  `void`
  `getBottomRightCornerCell​(boolean isBottomRightCornerCell)`
  Gets the bottom right corner cell.
  `void`
  `getFirstColumn​(boolean isFirstColumn)`
  Gets the first column.
  `void`
  `getFirstRow​(boolean isFirstRow)`
  Gets the first row.
  `void`
  `getLastColumn​(boolean isLastColumn)`
  Gets the last column.
  `void`
  `getLastRow​(boolean isLastRow)`
  Gets the last row.
  `void`
  `getTopLeftCornerCell​(boolean isTopLeftCornerCell)`
  Gets the top left corner cell.
  `void`
  `getTopRightCornerCell​(boolean isTopRightCornerCell)`
  Gets the top right corner cell.
  `boolean`
  `isBand1Horizontal()`
  Checks if is band1 horizontal.
  `boolean`
  `isBand1Vertical()`
  Checks if is band1 vertical.
  `boolean`
  `isBand2Horizontal()`
  Checks if is band2 horizontal.
  `boolean`
  `isBand2Vertical()`
  Checks if is band2 vertical.
  `boolean`
  `isBottomLeftCornerCell()`
  Checks if is bottom left corner cell.
  `boolean`
  `isBottomRightCornerCell()`
  Checks if is bottom right corner cell.
  `boolean`
  `isFirstColumn()`
  Checks if is first column.
  `boolean`
  `isFirstRow()`
  Checks if is first row.
  `boolean`
  `isLastColumn()`
  Checks if is last column.
  `boolean`
  `isLastRow()`
  Checks if is last row.
  `boolean`
  `isTopLeftCornerCell()`
  Checks if is top left corner cell.
  `boolean`
  `isTopRightCornerCell()`
  Checks if is top right corner cell.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConditionalFormatting

    public ConditionalFormatting()
    Instantiates a new conditional formatting.

  - ### ConditionalFormatting

    public ConditionalFormatting​(String formatting)
    Instantiates a new conditional formatting.
    Parameters:
      `formatting` - the formatting

- ## Method Details

  - ### clone

    public ConditionalFormatting clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isFirstRow

    public boolean isFirstRow()
    Checks if is first row.
    Returns:
      true, if is first row

  - ### getFirstRow

    public void getFirstRow​(boolean isFirstRow)
    Gets the first row.
    Parameters:
      `isFirstRow` - the is first row

  - ### isLastRow

    public boolean isLastRow()
    Checks if is last row.
    Returns:
      true, if is last row

  - ### getLastRow

    public void getLastRow​(boolean isLastRow)
    Gets the last row.
    Parameters:
      `isLastRow` - the is last row

  - ### isFirstColumn

    public boolean isFirstColumn()
    Checks if is first column.
    Returns:
      true, if is first column

  - ### getFirstColumn

    public void getFirstColumn​(boolean isFirstColumn)
    Gets the first column.
    Parameters:
      `isFirstColumn` - the is first column

  - ### isLastColumn

    public boolean isLastColumn()
    Checks if is last column.
    Returns:
      true, if is last column

  - ### getLastColumn

    public void getLastColumn​(boolean isLastColumn)
    Gets the last column.
    Parameters:
      `isLastColumn` - the is last column

  - ### isBand1Vertical

    public boolean isBand1Vertical()
    Checks if is band1 vertical.
    Returns:
      true, if is band1 vertical

  - ### getBand1Vertical

    public void getBand1Vertical​(boolean isBand1Vertical)
    Gets the band1 vertical.
    Parameters:
      `isBand1Vertical` - the is band1 vertical

  - ### isBand2Vertical

    public boolean isBand2Vertical()
    Checks if is band2 vertical.
    Returns:
      true, if is band2 vertical

  - ### getBand2Vertical

    public void getBand2Vertical​(boolean isBand2Vertical)
    Gets the band2 vertical.
    Parameters:
      `isBand2Vertical` - the is band2 vertical

  - ### isBand1Horizontal

    public boolean isBand1Horizontal()
    Checks if is band1 horizontal.
    Returns:
      true, if is band1 horizontal

  - ### getBand1Horizontal

    public void getBand1Horizontal​(boolean isBand1Horizontal)
    Gets the band1 horizontal.
    Parameters:
      `isBand1Horizontal` - the is band1 horizontal

  - ### isBand2Horizontal

    public boolean isBand2Horizontal()
    Checks if is band2 horizontal.
    Returns:
      true, if is band2 horizontal

  - ### getBand2Horizontal

    public void getBand2Horizontal​(boolean isBand2Horizontal)
    Gets the band2 horizontal.
    Parameters:
      `isBand2Horizontal` - the is band2 horizontal

  - ### isTopRightCornerCell

    public boolean isTopRightCornerCell()
    Checks if is top right corner cell.
    Returns:
      true, if is top right corner cell

  - ### getTopRightCornerCell

    public void getTopRightCornerCell​(boolean isTopRightCornerCell)
    Gets the top right corner cell.
    Parameters:
      `isTopRightCornerCell` - the is top right corner cell

  - ### isTopLeftCornerCell

    public boolean isTopLeftCornerCell()
    Checks if is top left corner cell.
    Returns:
      true, if is top left corner cell

  - ### getTopLeftCornerCell

    public void getTopLeftCornerCell​(boolean isTopLeftCornerCell)
    Gets the top left corner cell.
    Parameters:
      `isTopLeftCornerCell` - the is top left corner cell

  - ### isBottomRightCornerCell

    public boolean isBottomRightCornerCell()
    Checks if is bottom right corner cell.
    Returns:
      true, if is bottom right corner cell

  - ### getBottomRightCornerCell

    public void getBottomRightCornerCell​(boolean isBottomRightCornerCell)
    Gets the bottom right corner cell.
    Parameters:
      `isBottomRightCornerCell` - the is bottom right corner cell

  - ### isBottomLeftCornerCell

    public boolean isBottomLeftCornerCell()
    Checks if is bottom left corner cell.
    Returns:
      true, if is bottom left corner cell

  - ### getBottomLeftCornerCell

    public void getBottomLeftCornerCell​(boolean isBottomLeftCornerCell)
    Gets the bottom left corner cell.
    Parameters:
      `isBottomLeftCornerCell` - the is bottom left corner cell